# Etch Rune

You can use Xverse API to etch Runes.

The Xverse API runes etching service lets you place an etch order for your app, and orchestrates the required transactions.

This documentation will guide you through the required steps:

1. Validate you rune name & estimate the cost of a Rune Etch order-> see [Validate Rune Name](/api/runes/etch-rune/validate-rune-name.md)&  [Estimate Rune Etch Order](/api/runes/etch-rune/estimate-rune-etch-order.md)
2. Create a Rune Etch order -> see [Create Rune Etch Order](/api/runes/etch-rune/create-rune-etch-order.md)
3. Execute a Rune Etch order -> see [Execute Rune Etch Order](/api/runes/etch-rune/execute-rune-etch-order.md)
4. List and monitor Rune Etch orders -> [List Rune Etch Orders](/api/runes/etch-rune/list-rune-etch-orders.md) &[Monitor Rune Etch Order](/api/runes/etch-rune/monitor-rune-etch-order.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/runes/etch-rune.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
